View Single Post
  #8   (View Single Post)  
Old 23rd February 2018
jggimi's Avatar
jggimi jggimi is offline
More noise than signal
 
Join Date: May 2008
Location: USA
Posts: 7,105
Default

Quote:
Originally Posted by jmar83 View Post
[B]if you are able to compile it, that must not mean you are able to run it.
Not in this case. Instead, gnome-session is able to compile, and it would run, but it lacks two dependencies that are required for it to run as intended. Those dependencies, gnome-shell and zenity, cannot be built on sparc64 architectures. And that could be due to build dependencies that gnome-shell or zenity may have on other applications, rather than any problem with gnome-shell or zenity themselves.

Applications are often a complex web of interdependent libraries and supporting applications. When there is a problem with one thread, the entire web can collapse.

Last edited by jggimi; 23rd February 2018 at 04:27 PM. Reason: clarity
Reply With Quote